﻿(function($) {
	$.fn.yomi = function() {
		var data = "";
		var enddata = "";
		var _DOM = null;
		var TIMER;
		createdom = function(dom) {
			_DOM = dom;
			data = $(dom).attr("data");
			enddata = $(dom).attr("end_data");
			data = data.replace(/-/g, "/");
			data = Math.round((new Date(data)).getTime() / 1000);
			$(_DOM)
					.append(
							"<ul class='yomi'><li class='yomiday'></li><li class='split'>天</li><li class='yomihour'></li><li class='split'>时</li><li class='yomimin'></li><li class='split'>分</li><li class='yomisec'></li><li class='split'>秒</li></ul>")
			reflash();
			return TIMER;
		};
		reflash = function() {
			var range = data - Math.round((new Date()).getTime() / 1000);
			if (range <= 0) {
				getchange();
				range = data - Math.round((new Date()).getTime() / 1000);
			}
			if (range <= 0) {
				clearInterval(TIMER);
				$('.dalin_time').hide();
				$(".allend_timer").show();
			}
			var secday = 86400, sechour = 3600, days = parseInt(range / secday), hours = parseInt((range % secday)
					/ sechour), min = parseInt(((range % secday) % sechour) / 60), sec = ((range % secday) % sechour) % 60;
			$(_DOM).find(".yomiday").html(nol(days));
			$(_DOM).find(".yomihour").html(nol(hours));
			$(_DOM).find(".yomimin").html(nol(min));
			$(_DOM).find(".yomisec").html(nol(sec));
		};
		getchange = function() {
			if (enddata != undefined) {
				enddata = enddata.replace(/-/g, "/");
				data = Math.round((new Date(enddata)).getTime() / 1000);
				$(".timenow").hide();
				$(".timeover").show();
			}
		};
		TIMER = setInterval(reflash, 1000);
		nol = function(h) {
			return h > 9 ? h : '0' + h;
		}
		this.each(function() {
			var $box = $(this);
			createdom($box);
		});
	}
})(jQuery);
$(function() {
	$(".yomibox").each(function() {
		if ($(this).find('.yomi').length < 1) {
			$(this).yomi();
		}
	});
});